Settings = LoadTable(Turbine.DataScope.Character, "PrimeParseSettings")

function GetDefaultSettings()
    Settings = {}

    Settings.Reload = false
    Settings.Version = PluginVersion

    Settings.MeterX = 500
    Settings.MeterY = 500
    Settings.ChatOutput = "/say"
end

if Settings == nil or Settings.Reload == true then
    GetDefaultSettings()
end

function UpdateSettings()
    local tempSettings = Settings
    GetDefaultSettings()
    for key, value in pairs(tempSettings) do
        if Settings[key] ~=  nil then
            Settings[key] = value
        end
    end

    Settings.Version = plugin:GetVersion()
end



function SaveData()

    smallPP:SaveData()

    SaveTable(Turbine.DataScope.Character, "PrimeParseSettings", Settings);
end