DNFTracker = class(Turbine.UI.Control)

function DNFTracker:Constructor()
    Turbine.UI.Control.Constructor(self);
    self.DNFS = {}

    if ReloadStateData ~= nil and ReloadStateData.DNFS ~= nil then
        self.DNFS = ReloadStateData.DNFS
    end
    local EarliestReset = nil

    self.GetDNFS = function()
        return(self.DNFS)
    end
end

function DNFTracker:DNFApplied(name, time)
    self.DNFS[name] = time
end

function DNFTracker:Death(name)
    if self.DNFS[name] and self.DNFS[name] > Turbine.Engine.GetGameTime() then 
        self.DNFS[name] = nil
        messageWindow:Message(8, "DNF on: <rgb=#009900>" .. name .. "</rgb>", DNFSmall, false)
    end
end