Iambored = class(Turbine.UI.Window)
function Iambored:Constructor()
    local width = 1100
    local height = 570
    local x = Settings.LOX - 125
    local y = Settings.LOY
    local font = Settings.LOFont
    local colour = Turbine.UI.Color(1, 1, 1)
    Turbine.UI.Window.Constructor(self);
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    self:SetPosition(x,y);
    self:SetWantsKeyEvents(true)
    self:SetVisible(true)
    self:SetBackColor(Turbine.UI.Color(0.125, 0.125, 0.125))



end

ColourBox = class(Turbine.UI.Control)
function ColourBox:Constructor(parent, x, y)
    Turbine.UI.Control.Constructor(self)

    self:SetParent(parent)
    self:SetSize(50, 50)
    self:SetPosition(x, y)

    self:SetMouseVisible(true)

    self.MouseClick = function()
        parent:CheckColour(self:GetBackColor())
    end
end

function ColourBox:SetColour(colour)
    self:SetBackColor(colour)
end