
Reloader = class(Turbine.UI.Control)
function Reloader:Constructor()
    Turbine.UI.Control.Constructor(self)
    self:SetWantsUpdates(true)
    self.reloaded = false
    self.Update = function()
        if self.reloaded then
            self:SetWantsUpdates(false)    
        elseif not(self.reloaded) then 
            Turbine.PluginManager.UnloadScriptState("~PrimeReloader")
            self.reloaded = true
        end
    end
end

function ReloadPlugin()
    AddReload()
    Settings.ReloadData = true
    Settings.NoUnload = true
    Turbine.PluginManager.LoadPlugin("~PrimeReloader")
end