--effectsWindow:Message(10, "Test", GondorTreeIcon, false)

--messageWindow:Message(5, "To enable sound effects you have to", nil, false)
--messageWindow:Message(5, "start logging your main chat window!", nil, false)

--[[
local backPack = Player:GetBackpack()

for i = 1, backPack:GetSize(), 1 do
    local item1 = backPack:GetItem(i)
    if item1 ~= nil then 
        local item = item1:GetItemInfo()
        ChatOutput(item:GetName() .. item:GetIconImageID()) 
    end
end
--]]

--[[
local effectList = Player:GetEffects()

local PlayerEffects = {}
for i = 1, effectList:GetCount(), 1 do
    PlayerEffects[effectList:Get(i):GetName()] = true
    ChatOutput(effectList:Get(i):GetName() .. " " .. effectList:Get(i):GetIcon())
end 
--]]
--for key, value in pairs(Turbine) do
--    ChatOutput(key)
--end

--[[
local tskills = Player:GetTrainedSkills()

for i = 1, Player:GetTrainedSkills():GetCount(), 1 do
    local item = tskills:GetItem(i)--:GetSkillInfo()
    ChatOutput(item:GetSkillInfo():GetName())
    if item:GetSkillInfo():GetName() == "Air-lore" then
        item.ResetTimeChanged = function()
            ChatOutput("X")
        end
    end

end
--]]


--[[
for key, value in pairs(TestTable) do
    ChatOutput(ConvertEntry(key))
    ChatOutput(RecoverEntry(ConvertEntry(key)))
    ChatOutput(ConvertEntry(value))
    ChatOutput(RecoverEntry(ConvertEntry(value)))
end
--]]

--[[
TODO:
Cleanup dungeon log code
Add daily/weekly quests to loot window

Need Testing:
Cleanup loot window code -- Needs Testing
Add first time use setup/tutorial -- Needs testing
Increase raid command permissions -- Needs testing
Finish pvp timers -- Needs testing
Skilloverlay click on skill fix -- Needs testing

DONE:
Add swap commands to prime help -- DONE
]]

--[[
TestWindow = class(Turbine.UI.Window)
function TestWindow:Constructor()
    Turbine.UI.Window.Constructor(self)
    self:SetVisible(true)
    self:SetPosition(500, 500)
    self:SetSize(400, 400)
    self:SetBackColor(GetRandomColour())

    local TargetSelections = {}

    local container = Turbine.UI.ListBox()
    container:SetParent(self)
    container:SetSize(400, 400)
    container:SetPosition(0, 0)
    --container:SetBackColor(GoldColor)
    container:SetVisible(true)
    container:SetWantsKeyEvents(true)
    container:SetMouseVisible(false)

    local EControl = Turbine.UI.Lotro.EntityControl()
    EControl:SetParent (self)
    EControl:SetVisible (true)
    EControl:SetPosition (200, 200)
    EControl:SetSize(100, 100)
    EControl:SetEntity(Player)
    EControl:SetBackColor(GetRandomColour())

    Player.TargetChanged = function()
        if Player:GetTarget() ~= nil then 

            local listItem = Turbine.UI.Control();
            listItem:SetVisible(true)
            listItem:SetSize( 100, 15 );

            local E = Turbine.UI.Lotro.EntityControl()
            E:SetParent (listItem)
            E:SetVisible (true)
            E:SetSize(100, 15)
            E:SetEntity(Player:GetTarget())
            E:SetBackColor(GetRandomColour())


            container:AddItem( listItem );


            TargetSelections[Player:GetTarget():GetName()] = Player:GetTarget()
        end
        for key, value in pairs(TargetSelections) do
            ChatOutput(key .. " " .. value:GetName())
        end
        ChatOutput(tablelength(TargetSelections))
        ChatOutput(EControl:GetEntity():GetName())
    end
end

--t = TestWindow()

--]]


--[[
TestWindow = class(Turbine.UI.Control)
function TestWindow:Constructor()
    Turbine.UI.Control.Constructor(self)

    self.Targets = {}
    self.TargetsFunction = {}

    Player.TargetChanged = function()

        ChatOutput("X")
        if Player:GetTarget() ~= nil then
            local target = Player:GetTarget()
            target.MoraleChanged = function()
                ChatOutput("Y")
            end
            self.Targets[Player:GetTarget():GetName()] = target
            self.TargetsFunction[Player:GetTarget():GetName()] = target.MoraleChanged
        end
    end

    self.Update = function()
        for key, value in pairs(self.Targets) do
            --ChatOutput(key)
            --ChatOutput(value:GetMorale())

        end
    end

    self:SetWantsUpdates(true)

end

TestWindow()
--]]
--[[
TestViewer = class(Turbine.UI.Window)
function TestViewer:Constructor()
    Turbine.UI.Window.Constructor(self)
    self.width = 1024
    self.height = 1024
    self:SetPosition(0, 0)
    self:SetSize(self.width, self.height)
    --self:SetBackColor(GetRandomColour())
    self:SetVisible(true)
    self:SetMouseVisible(false)
    self:SetBackground(0x411F9DFA) --0x41000912 ice --0x411AE441 blood --0x41142E03  0x4114B070
    self:SetStretchMode(1)
    self:SetSize(1920, 1080)
    self:SetOpacity(1)
    self:SetWantsKeyEvents(true)

    self.startingID = 1092592681--1092591217
     --self:SetBackground(self.startingID)

    self.KeyDown = function(sender, args)
        if args["Action"] == 268435468 then
            self.startingID = self.startingID + 1
            ChatOutput(self.startingID)
                self:SetBackground(self.startingID)
        end
    end
    self:SetWantsUpdates(true)

    self.LastUpdate = 0

    self.Update = function()

            self.startingID = self.startingID + 1
            ChatOutput(self.startingID)
            self:SetBackground(self.startingID)
    end

end

x = TestViewer()
--]]

TestViewer = class(Turbine.UI.Window)
function TestViewer:Constructor()
    Turbine.UI.Window.Constructor(self)
    self.width = 500
    self.height = 500
    self:SetPosition(200, 200)
    self:SetSize(self.width, self.height)
    --self:SetBackColor(Turbine.UI.Color(0,0,0))
    self:SetVisible(true)
    self:SetMouseVisible(false)
    --self:SetBackground(0x411F9DFA) --0x41000912 ice --0x411AE441 blood --0x41142E03  0x4114B070
    --self:SetStretchMode(1)
    --self:SetSize(1920, 1080)
    --self:SetOpacity(1)
    self:SetWantsKeyEvents(true)

    for i = 1, 8, 1 do
        local show = Turbine.UI.Control()
        show:SetParent(self)
        show:SetSize(32, 32)
        --show:SetBackColor(Turbine.UI.Color(1, 0, 0))
        show:SetBackground(SkullIcon)
        show:SetPosition(50 * i, 32)
        show:SetBackColorBlendMode(3) -- alphablend
        show:SetBlendMode(4)
    end

    self.highlight = ClassSpecificTools.HighlightFrame2(self, 3)
    self.highlight:Toggle(true)

    self.IconLabel = Turbine.UI.Lotro.Quickslot()
    self.IconLabel:SetParent(self)
    self.IconLabel:SetSize(32,32)
    --self.IconLabel:SetBackColor(GetRandomColour())
    self.IconLabel:SetPosition(-3, -3)
    --self.IconLabel:SetAllowDrop(false)
    --self.IconLabel:SetVisible(false)

    self.textLabel = Turbine.UI.Label()
    self.textLabel:SetParent(self)
    self.textLabel:SetSize(32, 32)
    self.textLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
    --self.textLabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
    self.textLabel:SetFont(Turbine.UI.Lotro.Font.FixedSys15)
    self.textLabel:SetOutlineColor(Turbine.UI.Color(0,0,0))
    self.textLabel:SetFontStyle(Turbine.UI.FontStyle.Outline)
    self.textLabel:SetMouseVisible(false)
    self.textLabel:SetPosition(-2, -2)

    --self.fMLabel = ClassSkillLabel(self, 0, 0, base, base, CJIconSmalll, true)

    self.IconLabel.ShortcutChanged = function()
        --self.IconLabel:SetShortcut(self.shortcut)
        ChatOutput(self.IconLabel:GetShortcut():GetData())
    end

    self.testLabel = Turbine.UI.Window()
    self.testLabel:SetParent(self)
    self.testLabel:SetSize(32, 32)
    self.testLabel:SetBackground(0x41000005)
    self.testLabel:SetMouseVisible(false)
    self.testLabel:SetPosition(100, 100)
    self.testLabel:SetVisible(true)

    self.elapsedOverlay = Turbine.UI.Control();
    self.elapsedOverlay:SetParent( self.testLabel )
    self.elapsedOverlay:SetStretchMode( 1 );
    self.elapsedOverlay:SetMouseVisible( false );
    --self.elapsedOverlay:SetZOrder( 99 );
    --self.elapsedOverlay:SetBackColor( Turbine.UI.Color( 1, 0, 0, 0 ) );
    --self.elapsedOverlay:SetBackColorBlendMode( Turbine.UI.BlendMode.Overlay );
    self.elapsedOverlay:SetSize(32, 32)
    self.elapsedOverlay:SetBackground(0x41007E35)
    --self.elapsedOverlay:SetPosition(100, 100)

    self:SetWantsUpdates(true)

    local backgroundIndex = 0
    local lastUpdate = Turbine.Engine.GetGameTime()
    self.Update = function()

        if lastUpdate + 0.05 < Turbine.Engine.GetGameTime() then
            lastUpdate = Turbine.Engine.GetGameTime()

            backgroundIndex = (backgroundIndex + 1) % 60
            background = 0x41007E35 + backgroundIndex
            --ChatOutput(background)
            self.elapsedOverlay:SetStretchMode( 3 );
            self.elapsedOverlay:SetSize( 32, 32 );
            self.elapsedOverlay:SetBackground( background );
            self.elapsedOverlay:SetStretchMode( 1 );
            self.elapsedOverlay:SetSize( 32, 32);
        end
    end

end

x = TestViewer()

plajer = Turbine.Gameplay.LocalPlayer.GetInstance()

for key, value in pairs(Turbine.Gameplay.Attributes.BrawlerAttributes) do
    ChatOutput(tostring(key))
    ChatOutput(tostring(value))
end

for key, value in pairs(plajer:GetClassAttributes()) do
    ChatOutput(tostring(key))
    ChatOutput(tostring(value))
end

plajer:GetClassAttributes().MettleChanged = function()
    ChatOutput("Y")
end

plajer:GetClassAttributes().StanceChanged = function()
    ChatOutput("Z")
end

ChatOutput(0x411296E7 - 0x411296D1)
ChatOutput(0x411295F7 - 0x4112958B)

--ChatOutput(plajer:GetClassAttributes():GetStance())

-- Yellow
-- 0x41007F09
-- 0x41007F0D

-- WHite
-- 0x41007F0E
-- 0x41007F15

-- Green
-- 0x41007F15
-- 0x41007F35

-- SMoke
-- 0x41007F22
-- 0x41007F2B

-- Flash
-- 0x41007F18
-- 0x41007F21

-- Item 1
-- 0x4112958B
-- 0x411295F7

-- Item 2
-- 0x411296D1
-- 0x411296E7