import "PrimePlugins.Starboy"

function ChatOutput(string) Turbine.Shell.WriteLine(string) end

Star = Stars()

function SetCommands()
    Command = Turbine.ShellCommand()

    function Command:Execute( _, command )
        if command ~= nil or string.len( command ) ~= 0 then
            if command == "move" then
                Star:ToggleMove()
            else
                ChatOutput( "Non-existing command" )
            end
        end
    end
    
    Turbine.Shell.AddCommand( "stars", Command )
end

SetCommands()

local colour = ""

if Turbine.Gameplay.LocalPlayer.GetInstance():GetAlignment() == 1 then
    colour = "#FFFF00"
else
    colour = "#CC0000"
end

ChatOutput("<rgb=" .. colour .. ">1 star because I am special")
ChatOutput("<rgb=" .. colour .. ">2 stars because I am awesome")
ChatOutput("<rgb=" .. colour .. ">3 stars because I am the best")
ChatOutput("<rgb=" .. colour .. ">4 stars because I am incredible")
ChatOutput("<rgb=" .. colour .. ">5 stars because I am just amazing")
ChatOutput("<rgb=#FF9900>"..plugin:GetName() .. " Version " .. plugin:GetVersion() .." loaded.</rgb>") 


plugin.Unload = function() 
    Star:SaveStars()
end